﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using Telerik.Windows.Controls.Calendar;

namespace RadCalendar_WithNumber
{
	public class ContentTemplateSelector : DataTemplateSelector
	{
		public DataTemplate Default { get; set; }
		public DataTemplate Special { get; set; }
		public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
		{
			CalendarButtonContent c = item as CalendarButtonContent;
			if (c.ButtonType == CalendarButtonType.Date)
			{
				return this.Special;
			}
			else
			{
				return this.Default;
			}
			return base.SelectTemplate(item, container);
		}
	}
}
